apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: duplicate-query-match
spec:
  rules:
  - matches:
    - queryParams:
      - name: foo
        value: bar
      - name: foo
        value: bar
